package com.heyu.api.data.dao.translate;
/**
* <p>
* 翻译医院 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.translate.TranslateLanguageEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface TranslateLanguageDao extends BaseMapper<TranslateLanguageEntity> {


	TranslateLanguageEntity selectTranslateLanguageById(@Param("id")Long id);


	Long insertTranslateLanguage(TranslateLanguageEntity translateLanguage);


	Long insertOrUpdateTranslateLanguage(TranslateLanguageEntity translateLanguage);


	int updateTranslateLanguageById(TranslateLanguageEntity translateLanguage);


	int updateCoverTranslateLanguageById(TranslateLanguageEntity translateLanguage);


	int deleteTranslateLanguageById(@Param("id")Long id);


}